<div id="conversationContainer" [ngClass]="{'shaker': shake}">
    <div class="container pato45">
        <div class="d-flex flew-row">
        <div class="col-md-3 d-flex flex-column">
            <div class="avatarFrameOnline">
            <img src="assets/img/generic_avatar.png" class="img-fluid" alt="Avatar">
            </div>
            <hr />
        </div>
        <div class="col-md-9 d-flex flex-column">
            <div>
            <div>
                <span class="friend-nick">{{ friend.nick }}</span> - <span class="friend-status">({{ friend.status }})</span>
            </div>
            <div>
                <span class="friend-subnick">{{ friend.subnick }}</span>
            </div>
            <hr />
            <div>
                <div class="messageGroup" *ngFor="let m of conversation">
                <!-- <img src="{{ getUserById(m.sender).avatar }}" class="avatarUser img-fluid" alt="Avatar"> -->
                {{ getUserNickById(m.sender) }} dice: <br />
                <span class="speech-bubble">{{ m.text }}</span>
                <div *ngIf="m.type==='image'"><img src="{{m.text}}" width="400px"></div>
                </div>
            </div>
            
            </div>
        </div>
    </div>

    <div class="d-flex flew-row">
        <div class="col-md-3 d-flex flex-column">
            <div class="avatarFrameOnline">
            <img src="assets/img/generic_avatar.png" class="avatarImage img-fluid" alt="Avatar">
            </div>
        </div>
        <div class="col-md-9 d-flex flex-column" id="chat-col">
            
            <div>
            <textarea [(ngModel)]="textMessage" (keyup.enter)="sendMessage()" class="form-control" id="exampleFormControlTextarea1" rows="5"></textarea>
            </div>
            <div class="chat-button d-flex justify-content-end align-items-center">
            <div>
                <img *ngIf="imageToUpload" [src]="imageToUpload" width="100px" alt="preview" style="border-radius: 5px;">
            </div>
            <div>
                <img *ngFor="let url of urls" [src]="url" width="100px" alt="preview" style="border-radius: 5px;">
            </div>
            <div>
                <label class="custom-file-upload"><input type="file" multiple accept="image/*" name="images" id="images" (change)="preview($event)">Subir Imagen</label>
            </div>

            <div (click)="doZumbido()">
                <img class="zumbido_img" src="assets/img/zumbido.png" alt="zumbido">
            </div>
            <div>
                <a class="btn btn-outline-primary" (click)="sendImage()">Enviar</a>
            </div>
            </div>
        </div>
        </div>
    </div>
</div>



<!--
<p>
    {{friend | json}}
</p>
<p>
    {{price | number: '1.2-2'}}
</p>
<p>
    {{today | date: 'fullDate'}}
</p>

-->

<!-- {{friend | json}} Asi a este objeto lo convierte a json -->
<!-- {{price | number: '1.2-2'}} = para formatear un numero a dos 
    decimales, ya que price tiene valor de: 78.4912452
    Si la variable no tiene decimales por defecto se le asignan
    dos decimales: 78.00 -->

<!-- En Google puedes buscar mas de la propiedad date como
     "date pipe angular" -->